<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Web.Util" %>

<style>


body           { margin:0,0,0,0; }
table, td      { font-size=10pt;font-family:Verdana; }
td.products td { text-align:center; font-size:8pt; vertical-align:top; height:248 }

td.select      { color:ffffff; background-color:000000; font-size:14pt;}
td.select select { width:130 }
td.cart        { height:2500 }
td.cart td     { font-size:9pt; font-weight:700} 
td.cart a      { font-size:11pt; font-weight:700}

h3             { font-size:22 }
h2             { font-size:22 }
a:link         { color:blue; }
a:visited      { color:blue; }

div.details {background-color:ffffcc; padding-top:15; padding-bottom:20; }
div.details table { width:280; }
div.details table td { font-family:Verdana; font-size:8pt; }

table.nutr td  { font-family: Verdana; font-size:8pt; } 

img.selected { border-color:DC6035;border-style:solid;}
img.unselected { border-color:ffffcc;border-style:solid;}

table.details td { font-family: Verdana; font-size:12pt; padding-right:50; width:50%  }

span.blurb { font-size:9pt;}
table.form td { padding-right:15 }

.weblet { font-family:Verdana;font-weight:bold;font-size:10pt; color:#66ff66; text-decoration:none }
.weblettext { font-family:Verdona;font-size:10pt }
.loginname { font-family:Tahoma;font-weight:bold;font-size:50pt;color:#6699cc }
.topbanner { font-family:Arial;font-weight:bold;font-size:10pt;color:white }
.topbutton { font-family:Arial;font-weight:bold;font-size:11pt;color:black }
.subscriptiontitle { font-family:Arial;font-style:italic;font-weight:bold;font-size:16pt; color:#9C0001 }


</style>

<script runat="server" language="C#">

public MyWebApplication app;
public MyWebManifest    manifest;
public bool addlocal = false;
public bool NoCustomUrl = false;

public void Page_Load(Object sender, EventArgs e) 
{
  if (!IsPostBack)
  {
		String NoURL=Request["NoURL"];
			
		if (NoURL =="1")
		{
			HiddenUrl.Value = Request["LocalPath"];
			addlocal = true;
			NoCustomUrl = true;
			manifest = MyWeb.GetManifestForLocalApplication(HiddenUrl.Value);
		}
		else
		{
		  bool fShowInstall = true;
      int  iAction = 0;
      String appurl = Request["installurl"];

      if (appurl == null)
      {
        appurl = Request["MyWebPage"];
      }
      
      if (appurl != null && appurl.Length > 0) 
      {	

				if(appurl.StartsWith("\\\\") && (appurl.LastIndexOf('\\') < 2) )
				{	
					addlocal = true;
					manifest = MyWeb.GetManifestForLocalApplication(appurl);
				}
				else if (appurl[1] == ':' && appurl[2] != '/' )
				{
					if(Directory.DirectoryExists(appurl) )
					{
					  addlocal = true;
						HiddenUrl.Value = appurl;
            fShowInstall = false;
            manifest = MyWeb.GetManifestForLocalApplication(appurl);
						//Converting local path into a URL
						String temp = appurl.Replace('\\' , '/');

						UrlText.Text = "localhost/" +temp.Substring(3);
            
					} 
							
					else 
					{ 	
						if (File.FileExists(appurl) )
						{
							addlocal = true;
							int slash = appurl.LastIndexOf('\\');
							appurl = appurl.Substring(0, slash);
							HiddenUrl.Value = appurl;
              fShowInstall = false;
              manifest = MyWeb.GetManifestForLocalApplication(appurl);

							//Converting local path into a URL
							String temp = appurl.Replace('\\' , '/');

							UrlText.Text = "localhost/" +temp.Substring(3);
              
						}
					}
				}

				if (addlocal)
				{  //checking if local application has already been installed
				
					MyWebApplication [] apps = MyWeb.GetInstalledApplications();

					if (apps != null)
					{
						for (int i=0; i < apps.Length; i++)
						{
							if (apps[i].LocalApplication)
							{
							  String Oldtemp = apps[i].Manifest.InstalledLocation.ToLower();
								String Newtemp = appurl.ToLower();

								if (Oldtemp.EndsWith("\\") && !Newtemp.EndsWith("\\") )
								{
								Newtemp=Newtemp + "\\";	
								}
								else if (Newtemp.EndsWith("\\") && !Oldtemp.EndsWith("\\") )
								{
								Oldtemp=Oldtemp + "\\";
								}
								
								if(Oldtemp.Equals(Newtemp) )
								{
								iAction = 1;
								fShowInstall = true;
								}
							}

						}
					}

				}

				if (!addlocal)
				{
          app = MyWeb.GetApplication(appurl);
                    
          if (app != null)
          {
            iAction = 1;
          }
          else
          {  
            manifest = MyWeb.GetManifest(appurl);
            
            if (manifest != null)
            {
              HiddenUrl.Value = appurl;
              fShowInstall = false;
              // populate the details
            }
            else 
            { 
              iAction = 2;
            }
          }
        }
      }            

      if(fShowInstall)
      {
        String strRedirect = "myweb://Home/addlocal.aspx?Reason=" + iAction;
        if (appurl != null && appurl.Length > 0)
        {
          strRedirect += "&installurl=" + appurl;
        }
        Response.Redirect(strRedirect);
        return;
      }
    
      if(manifest.Url !=null && manifest.Url.Length >0 )
      {
        DataBind();
      }
      
    }
  }
}


public void Install(Object sender, EventArgs e) 
{
  MyWebManifest manifest = MyWeb.GetManifest(HiddenUrl.Value);

	if(manifest ==null)
	{
		Response.Redirect("myweb://Home/myweb1.aspx?success=no");
	}
	else 
	{
		if (manifest.Install() ==null)
		{
      Response.Redirect("myweb://Home/myweb1.aspx?success=no");
    }
    else 
    {
      Response.Redirect("myweb://Home/myweb1.aspx?success=yes&URL=" + HiddenUrl.Value);
    }
  }
}
        

public void InstallLocalApp(Object sender, EventArgs e)
{
	String localPath = HiddenUrl.Value;
	manifest = MyWeb.GetManifestForLocalApplication(localPath);
	String localURL;
	
  if (manifest.Url != null && manifest.Url.Length >0)
  {
    localURL =manifest.Url;

    int period = localURL.LastIndexOf('.');
    if (period > 0)
    {
      int slash = localURL.LastIndexOf('/');
      localURL = localURL.Substring(0,slash);
    }
    
    MyWeb.InstallLocalApplication(localURL, localPath);	
		Response.Redirect("myweb://Home/myweb1.aspx?success=yes&URL=" + localURL +"&Local=true");	
  
  }
  else
  {
    localURL =UrlText.Text;
	  if (localURL.Length >0 && localURL != null )
	  {
 		  localURL = localURL.Replace(' ', '_');
		  localURL = localURL.Replace('\\', '/');
		  MyWeb.InstallLocalApplication(localURL, localPath);	
		  Response.Redirect("myweb://Home/myweb1.aspx?success=yes&URL=" + localURL +"&Local=true");	
	  }
	  else 
    {
		  Response.Redirect("myweb://Home/install.aspx?NoURL=1&LocalPath=" + localPath);	
    }
  }
  
		
}
       
</script>


<body bgcolor="ffffff">

<form runat="server" method="GET" action="install.aspx">
<input type="hidden" id="HiddenUrl" runat="server"/>

<!-----Main toolbar Starts here -------->

<table width=100% cellspacing=0 cellpadding=0>
<tr>
<td>                        
  <table width="100%" bgcolor="336699">
  <tr height=70>
	<td width=15><!-- Space Filler --></td>
	<td align=left class="loginname">MyWeb&nbsp;</td>
  <td valign=bottom class="topbutton"> </td>
  </tr>
  </table>
</td>

<tr>
<td>
  <table bgcolor="#003366" cellspacing=0 width=100% cellpadding=0>
  <tr height=20 class="topbanner">
  <td width=50><!----- Space Filler ----></td>
  <td align=right>
    <a id="StartBtn" style="text-decoration:none;font-size:9pt;color:#ffcc00" href="install.aspx">Install Application</a>  
    <span style="font-weight:100;color:#99ccff"> | </span>
    <a style="color:#99ccff;text-decoration:none;font-size:9pt" href="myweb://home">Home</a> &nbsp;&nbsp;&nbsp;
  </td>
  </tr>
  </table>
</td>
</tr>

<!------End of main toolbar ----->

<tr>
<td align="center" >  


  <!----- Beginning of remote (http) install  ------>


  <% if (!addlocal)  { %>
	  <br>

    <!------ Beginning of dialog box ------>
	
    <table width="80%" cellpadding=0 cellspacing=0>
	  <tr>
	  <td>
		<font face=verdana size=4 color=#003366><b>Install Application</b> </font>
	  </td>
	  </tr>

	  <tr>
	  <td>
		  <table bordercolor="#f5deb3" bgcolor="fffff0" width=100% border=1 cellpadding=0 cellspacing=0>
		  <tr>
		  <td align=center>
      <br>
      <b><nobr>My Web Security is not enabled for this technology preview release.<nobr><br> 
      Please only install this application if it is coming from a secure source.</b>
		  
		  <br><br>
			<center>The following application is not currently installed on your computer:</center><br><br>

		  <!------- beginning of manifest ---->

			  <table border=0 bordercolor=black cellspacing=0 cellpadding=0 width=60% >
	      <tr>
	      <td>
		      <table width=100% bgcolor="#003366" border=0 cellspacing=0 cellpadding=0>
			    <tr>
				  <td align="left" >
				  &nbsp;       
				  <span class="weblet"><%# manifest.Name %></span>
          </td>
			    </tr>
		      </table>
	      </td>
	      </tr>

	      <tr>
	      <td>
          
		        <table width=100% bgcolor="#eeefff" border=0 cellspacing=0 cellpadding=2>
			      <tr>
			      <td width="50px" align="center" valign="middle">
				      <img border="1" width="64px" height="64px" style="border-color:black" 
       		    src="<%# (manifest.RemoteIconUrl.Length >0)?
       		    (manifest.RemoteIconUrl) :("images/default.gif")%> ">
			      </td>
			      <td width=5px><!--- space filler --></td>
			      <td align="left" valign="top">
				      <table width=100% cellpadding=0 cellspacing=0 border=0>
					    <tr>
					    <td width=100px><b>Author:</b></td><td><%# manifest.Author %></td>
					    </tr>
					    <tr>
					    <td width=100px><b>Source:</b></td><td><a href=""><%# manifest.Source %></a></td>
					    </tr>
					    <tr>
					    <td width=100px><b>Disk Space:</b></td><td><%# manifest.Size.ToString() %> Kb</td>
					    </tr>
				      </table>
			      </td>
			      </tr>
		        </table>	
		       
	      
	    <!------ end of manifest ----->
	    <br>
				
			<center>The installation will now proceed.<br><br>
					
      <asp:button Text="  OK  " OnClick="Install" runat="server"/>&nbsp;
      <input type="button" value="  Cancel  " OnClick="javascript:window.navigate('myweb://home')"/>
			</center>
			
      <br><br>
		</td>
		</tr>
    </table>
	</td>
	</tr>

	</table>

	<!------- end of dialog box -------->
	<% } %>

	<br>
	<br>

		
  <!----- End of http (remote) install  ------>


  <!----- Beginning of local install ------>

	<%  if (addlocal){ %>

	<br>
	<br>

	<table width="80%">
	<tr>
	<td>
		<font face=verdana size=4 color=#003366><b>Install Application</b> </font>
	</td>
	</tr>

	<tr>
	<td>
	  <table bordercolor="#f5deb3" bgcolor=#fffff0 width=100% border=1 cellpadding=10 cellspacing=0>
		<tr>
		<td align="center"><br>	

		  
      <b><nobr>My Web Security is not enabled for this technology preview release.<nobr><br> 
      Please only install this application if it is coming from a secure source.</b>
      <br>

		  <% if (manifest.Url !=null && manifest.Url.Length > 0) { %>
        <br>
        A local path has been detected.<br>The following application is not currently installed on your computer:<br><br>

          <!------- beginning of manifest ---->
         
			    <table border=0 bordercolor=black cellspacing=0 cellpadding=0 width=60% >
	        <tr>
	        <td>
		        <table width=100% bgcolor="#003366" border=0 cellspacing=0 cellpadding=0>
			      <tr>
				    <td align="left" >
				    &nbsp;       
				    <span class="weblet"><%# manifest.Name %></span>
            </td>
			      </tr>
		        </table>
	        </td>
	        </tr>

	        	    
		      <tr>
	        <td>
	            <table width=100% bgcolor="#eeefff" border=0 cellspacing=0 cellpadding=2>
			        <tr>
			        <td width="50px" align="center" valign="middle">
				        <img border="1" width="64px" height="64px" style="border-color:black" 
       		      src="<%# (manifest.RemoteIconUrl.Length >0)?
       		      (manifest.RemoteIconUrl) :("images/default.gif")%> ">
			        </td>
			        <td width=5px><!--- space filler --></td>
			        <td align="left" valign="top">
				        <table width=100% cellpadding=0 cellspacing=0 border=0>
					      <tr>
					      <td width=100px><b>Author:</b></td><td><%# manifest.Author %></td>
					      </tr>
					      <tr>
					      <td width=100px><b>Source:</b></td><td><a href=""><%# manifest.Source %></a></td>
					      </tr>
					      <tr>
					      <td width=100px><b>Disk Space:</b></td><td><%# manifest.Size.ToString() %> Kb</td>
					      </tr>
				        </table>
			        </td>
			        </tr>
		          </table>	
		        		        
	        </td>
	        </tr>
	        </table
	        <!------ end of manifest ----->
		  
		
		    

		 <% } else { %>

          <% if (!NoCustomUrl)	{ %>
		        <p>A local path has been detected. 
			      A URL must be entered for each local application.<br> 
			      Below is the suggested URL. You may choose to edit it or leave it unmodified.
			      </p>

			    <% } else if(NoCustomUrl) { %>

			      <p>A local application is being installed.
			      A URL must be entered for each local application.<br> 
			      Enter the URL for this application below:
			      </p>
  
			    <% } %>
					
			      <center>myweb://<asp:TextBox id="UrlText" runat="server" Width="300px"/></center>
		      
	   <% } %>
		 
		  
			 <p>The installation will now proceed.</p>

			 <center>
			 <asp:button Text="   OK   " OnClick="InstallLocalApp" runat="server"/>&nbsp;
       <input type="button" value="   Cancel   " OnClick="javascript:window.navigate('myweb://home')"/><p>
			 </center>

		</td>
		</tr>
    </table>
	</td>
	</tr>

	</table>
		

	<% } %>

	<!----- End of local install ------->


</td>
</tr>

</table>

</form>
</body>
</html>
