<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Web.Util" %>

<style>


body           { margin:0,0,0,0; }
table, td      { font-size=10pt;font-family:Verdana; }
td.products td { text-align:center; font-size:8pt; vertical-align:top; height:248 }

td.select      { color:ffffff; background-color:000000; font-size:14pt;}
td.select select { width:130 }
td.cart        { height:2500 }
td.cart td     { font-size:9pt; font-weight:700} 
td.cart a      { font-size:11pt; font-weight:700}

h3             { font-size:22 }
h2             { font-size:22 }
a:link         { color:blue; }
a:visited      { color:blue; }

div.details {background-color:ffffcc; padding-top:15; padding-bottom:20; }
div.details table { width:280; }
div.details table td { font-family:Verdana; font-size:8pt; }

table.nutr td  { font-family: Verdana; font-size:8pt; } 

img.selected { border-color:DC6035;border-style:solid;}
img.unselected { border-color:ffffcc;border-style:solid;}

table.details td { font-family: Verdana; font-size:12pt; padding-right:50; width:50%  }

span.blurb { font-size:9pt;}
table.form td { padding-right:15 }

.weblet { font-family:Arial;font-style:italic;font-weight:bold;font-size:10pt; color:#66ff66 }
.weblettext { font-family:Verdona;font-size:10pt }
.loginname { font-family:Tahoma; font-weight:bold;font-size:50pt;color:#6699cc }
.topbanner { font-family:Arial;font-weight:bold;font-size:10pt;color:white }
.topbutton { font-family:Arial;font-weight:bold;font-size:11pt;color:black }
.subscriptiontitle { font-family:Arial;font-style:italic;font-weight:bold;font-size:16pt; color:#9C0001 }


</style>

<script runat="server" language="C#">

public String local;
public String appurl;
public String success;

		
public void Page_Load(Object sender, EventArgs e) 
{
  success = Request["success"];
	local=Request["Local"];
	appurl = Request["URL"];
	
	if (success=="notfound")
	{
		InstallLabel.Text="The application could not be installed.  Files cannot be found.";
	}		
	else if (success=="no")
	{
		InstallLabel.Text="The application could not be installed.";
	}
	else if (success =="yes")
	{
		InstallLabel.Text="The application was successfully installed. <br>The URL alias for your application is: <br><br>";
		if (local =="true" && !appurl.StartsWith("myweb://") )
    {
			CustomLabel.Text = "myweb://" +appurl;
		}
    else 
    {
      CustomLabel.Text = appurl;
    }
	
	}
           
}

public void Launch_Application(Object sender, EventArgs e)
{
  MyWebApplication app = MyWeb.GetApplication(appurl);

  if (app ==null)
	{
		Response.Redirect("myweb://Home/myweb1.aspx?success=notfound");
	}
  else 
	{
	  String LaunchURL = (app.Manifest.Url.Length >0)?(app.Manifest.Url):"myweb://" + (appurl + "/default.aspx" );
		Response.Redirect(LaunchURL);
  }
}

        
</script>

<body bgcolor="ffffff">
<form runat="server">
     
<!-----Main toolbar Starts here -------->

<table width=100% cellspacing=0 cellpadding=0>        
<tr>
<td>                        
  <table width="100%" bgcolor="#336699">
  <tr height=70>
	<td width=15><!-- Space Filler --></td>
	<td align=left class="loginname">MyWeb&nbsp;</td>
  <td valign=bottom class="topbutton"> </td>
  </tr>
  </table>
</td>

<tr>
<td>
  <table bgcolor="#003366" cellspacing=0 width=100% cellpadding=0>
  <tr height=20 class="topbanner">
  <td width=50> <!----- Space Filler ----></td>
  <td align=right><a id="StartBtn" style="color:#ffcc00;text-decoration:none;font-size:9pt" href="install.aspx">Install Application</a>  
    <span style="font-weight:100;color:#99ccff"> | </span>
    <a style="color:#99ccff;text-decoration:none;font-size:9pt;" href="myweb://home">Home</a> &nbsp;&nbsp;&nbsp;
  </td>
  </tr>
  </table>
</td>
</tr>

<!------End of main toolbar ----->
            
<tr>
<td align="center">  <br><br>

<!------ Beginning of dialog box ------>
  <table width="80%" cellpadding=0 cellspacing=0>
	<tr>
	<td><font face=verdana size=4 color=#003366><b>Install Application</b> </font></td>
	</tr>
	
	<tr>
	<td>
  	<table bordercolor="#f5deb3" bgcolor=#fffff0 width=100% border=1 cellpadding=0 cellspacing=0>
		<tr>
		<td align=center>
			<br>
			<asp:Label id="InstallLabel" runat="server" />
			<b><asp:Label runat="server" id="CustomLabel" /></b>     
			<br><br>
					
			<input type="button" value="Return to Home Page" OnClick="javascript:window.navigate('myweb://home')"/>&nbsp;

		  <% if (success=="yes") { %>
        <asp:button Text="Launch Application" OnClick="Launch_Application" runat="server"/>
			<% } %>

      <br><br>

		</td>
		</tr>
    </table>
    
	</td>
	</tr>
	</table>
				
	<!------- end of dialog box -------->
</td>
</tr>
</table>

</form>
</body>
</html>
