<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Collections" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Web.Util" %>

<style>


body           { margin:0,0,0,0; }
table, td      { font-size=10pt;font-family:Verdana; }
td.products td { text-align:center; font-size:8pt; vertical-align:top; height:248 }

td.select      { color:ffffff; background-color:000000; font-size:14pt;}
td.select select { width:130 }
td.cart        { height:2500 }
td.cart td     { font-size:9pt; font-weight:700} 
td.cart a      { font-size:11pt; font-weight:700}

h3             { font-size:22 }
h2             { font-size:22 }
a:link         { color:blue; }
a:visited      { color:blue; }

div.details {background-color:ffffcc; padding-top:15; padding-bottom:20; }
div.details table { width:280; }
div.details table td { font-family:Verdana; font-size:8pt; }

table.nutr td  { font-family: Verdana; font-size:8pt; } 

img.selected { border-color:DC6035;border-style:solid;}
img.unselected { border-color:ffffcc;border-style:solid;}

table.details td { font-family: Verdana; font-size:12pt; padding-right:50; width:50%  }

span.blurb { font-size:9pt;}
table.form td { padding-right:15 }

.weblet { font-family:Verdana;font-weight:bold;font-size:10pt; color:#66ff66; text-decoration:none }
.weblettext { font-family:Verdana;font-size:10pt }
.loginname { font-family:Tahoma;font-weight:bold;font-size:50pt;color:#6699cc }
.topbanner { font-family:Arial;font-weight:bold;font-size:10pt;color:white}
.topbutton { font-family:Arial;font-weight:bold;font-size:11pt;color:black }
.subscriptiontitle { font-family:Arial;font-style:italic;font-weight:bold;font-size:16pt; color:#9C0001 }


</style>

<script runat="server" language="C#">
	
public void Page_Load(Object sender, EventArgs e) 
{
  MyWebApplication [] apps = MyWeb.GetInstalledApplications();

	if (apps == null) 
  {
    return;
  }

  ApplicationList.DataSource = new ArrayList(apps);
  Page.DataBind();

 	
  for (int i=0; i<ApplicationList.Items.Count; i++) 
  {
    Repeater r = (Repeater) ApplicationList.Items[i].FindControl("InnerRepeater");
    r.DataSource = (String [])apps[i].Manifest.CustomUrlDescriptions;
    r.DataBind();
  }

}
      

</script>

<body bgcolor="white">


<!-----Main toolbar Starts here -------->

<table width=100% cellspacing=0 cellpadding=0>
<tr>
<td>                        
  <table width="100%" bgcolor="#336699">
  <tr height=70>
  <td width=15><!-- Space Filler --></td>
	<td align=left class="loginname">My Web&nbsp;</td>
  <td valign=bottom class="topbutton"> </td>
  </tr>
  </table>
  </td>
  <tr>

<td>
  <table bgcolor="#003366" cellspacing=0 width=100% cellpadding=0>
  <tr height=20 class="topbanner">
  <td width=50> <!----- Space Filler ----></td>
  <td align=right>
    <a id="StartBtn" style="color:#99ccff;text-decoration:none;font-size:9pt" href="install.aspx">Install Application</a>  
    <span style="font-weight:100;color:#99ccff"> | </span>
    <a style="text-decoration:none;font-size:9pt;color:#ffcc00" href="myweb://home">Home</a> &nbsp;&nbsp;&nbsp;
  </td>
  </tr>
  </table>
</td>
</tr>

</table>
<!------End of main toolbar ----->


<asp:DataList id="ApplicationList" RepeatDirection="Vertical" RepeatColumns="1" width="100%" BorderWidth="0" CellSpacing=10 runat="server" >
<template name=itemtemplate>

<!------ Beginning of single application entry ------->
<table border=0 cellspacing=0 cellpadding=0 width=90% align=center>
<tr>
<td>
	<table width=100% bgcolor="#003366" border=0 cellspacing=0 cellpadding=0>
	<tr>
	<td align="left" >&nbsp;
	  <a href="<%# (((MyWebApplication)Container.DataItem).Manifest.Url.Length >0 )?(((MyWebApplication)Container.DataItem).Manifest.Url ) : "myweb://" +(((MyWebApplication)Container.DataItem).Manifest.ApplicationUrl + "/default.aspx")%>">
        
		<span class="weblet">
		<%#(((MyWebApplication)Container.DataItem).Manifest.Name.Length >0 )?(((MyWebApplication)Container.DataItem).Manifest.Name ):"myweb://"+ (((MyWebApplication)Container.DataItem).Manifest.ApplicationUrl) %>
		              		
    </a>
  </td>
				
	<td align="right">
	  <nobr>
		<a href="update.aspx?Url=<%# ((MyWebApplication)Container.DataItem).Manifest.ApplicationUrl%>"  style="color:#99ccff;text-decoration:none;font-size:8pt;font-weignt:bold"><b>Update</b></a> 
    &nbsp; <a href="remove.aspx?Url=<%# ((MyWebApplication)Container.DataItem).Manifest.ApplicationUrl%>"  style="color:#99ccff;text-decoration:none;font-size:8pt;font-weignt:bold"><b>Remove</b></a>
		&nbsp;
	</td>
	</tr>
	</table>

</td>
</tr>

	
<tr>
<td>
	<table width=100% bgcolor="#eeefff" border=0 cellspacing=0 cellpadding=2>
	<tr>
	<td width="50px" align="center" valign="middle">
	  <a href="<%# (((MyWebApplication)Container.DataItem).Manifest.Url.Length >0 )?
    (((MyWebApplication)Container.DataItem).Manifest.Url ) : "myweb://" +
    (((MyWebApplication)Container.DataItem).Manifest.ApplicationUrl + "/default.aspx" )%>">

    <img border="1" width="64px" height="64px" style="border-color:black" 
    src="<%# (((MyWebApplication)Container.DataItem).Manifest.IconUrl.Length >0)?
    (((MyWebApplication)Container.DataItem).Manifest.IconUrl) :
    ("images/default.gif")%> "></a>
	</td>
			
	<td width=5px><!--- space filler --></td>

	<td align="left" valign="top">
	
		<table width=100% cellpadding=0 cellspacing=0 border=0>
		<tr>
		<td width=100px>
		  <b>Author:</b>
		</td>
		<td>
		  <%# (((MyWebApplication)Container.DataItem).Manifest.Author.Length >0)?
					(((MyWebApplication)Container.DataItem).Manifest.Author) : "Not Specified" %>
		</td>
		</tr>

    <tr>
    <td width=100px><b>Source:</b></td><td><%# (((MyWebApplication)Container.DataItem).Manifest.Source.Length >0 )?
		(((MyWebApplication)Container.DataItem).Manifest.Source) : "Not Specified" %>
		</td>
		</tr>

		<tr>
		<td width=100px><b>Description:</b></td>
		<td>
			<asp:repeater id="InnerRepeater" runat="server">
			<template name=itemtemplate>
			<img align="middle" src="images/bullet.gif"><span style="text-color:black">
							<%# ((String)Container.DataItem!= null ) ?
								((String)Container.DataItem) :
								"Not Specified" %></span> <br>
			</template>
			</asp:repeater>
    </td></tr>
		</table>
	</td>
	</tr>
	</table>	
	</td>
	</tr>
	</table>
	<!--------- End of single application entry ---------->    

  </template>

</asp:DataList>

</body>
</html>
